Std AxisCross: Difference between revisions

From FreeCAD Documentation
(add new icons)
(Add icon)
Line 38: Line 38:
<!--T:8-->
<!--T:8-->
# There are several ways to invoke the command:
# There are several ways to invoke the command:
#* Select the {{MenuCommand|View → Toggle axis cross}} option from the menu.
#* Select the {{MenuCommand|View → [[Image:Std_AxisCross.svg|16px]] Toggle axis cross}} option from the menu.
#* Use the keyboard shortcut: {{KEY|A}} then {{KEY|C}}.
#* Use the keyboard shortcut: {{KEY|A}} then {{KEY|C}}.



Revision as of 12:04, 6 January 2021

Std AxisCross

Menu location
View → Toggle axis cross
Workbenches
All
Default shortcut
A C
Introduced in version
-
See also
None

Description

The Std AxisCross command toggles the axis cross in the active 3D view.

The axis cross consists of three arrows representing the positive X, Y and Z axis of the global coordinate system. Their common start point is the origin of the global coordinate system.

The axis cross (the letters are not part of the axis cross)

Usage

  1. There are several ways to invoke the command:
    • Select the View → Toggle axis cross option from the menu.
    • Use the keyboard shortcut: A then C.

Notes

  • FreeCAD can display a smaller coordinate system indicator in the bottom right corner of 3D views: Edit → Preferences... → Display → 3D View → Show coordinate system in the corner. See Preferences Editor.
  • The Navigation Cube also includes a coordinate system indicator.

Preferences

Scripting

See also: FreeCAD Scripting Basics.

To toggle the axis cross use the setAxisCross method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.setAxisCross(True)
FreeCADGui.ActiveDocument.ActiveView.hasAxisCross()